aboutsummaryrefslogtreecommitdiff
path: root/paludis/repositories/e/ebuild/utils/exheres-0/dosbin
diff options
context:
space:
mode:
Diffstat (limited to 'paludis/repositories/e/ebuild/utils/exheres-0/dosbin')
-rwxr-xr-xpaludis/repositories/e/ebuild/utils/exheres-0/dosbin53
1 files changed, 53 insertions, 0 deletions
diff --git a/paludis/repositories/e/ebuild/utils/exheres-0/dosbin b/paludis/repositories/e/ebuild/utils/exheres-0/dosbin
new file mode 100755
index 000000000..69c0a7592
--- /dev/null
+++ b/paludis/repositories/e/ebuild/utils/exheres-0/dosbin
@@ -0,0 +1,53 @@
+#!/usr/bin/env bash
+# vim: set sw=4 sts=4 et :
+
+# Copyright (c) 2006 Stephen Bennett
+#
+# Based in part upon dosbin from Portage, which is Copyright 1995-2005
+# Gentoo Foundation and distributed under the terms of the GNU General
+# Public License v2.
+#
+# This file is part of the Paludis package manager. Paludis is free software;
+# you can redistribute it and/or modify it under the terms of the GNU General
+# Public License as published by the Free Software Foundation; either version
+# 2 of the License, or (at your option) any later version.
+#
+# Paludis is distributed in the hope that it will be useful, but WITHOUT ANY
+# WARRANTY; without even the implied warranty of MERCHANTABILITY or FITNESS
+# FOR A PARTICULAR PURPOSE. See the GNU General Public License for more
+# details.
+#
+# You should have received a copy of the GNU General Public License along with
+# this program; if not, write to the Free Software Foundation, Inc., 59 Temple
+# Place, Suite 330, Boston, MA 02111-1307 USA
+
+source "${PALUDIS_EBUILD_DIR}"/die_functions.bash
+
+if [[ ${FILESYSTEM_LAYOUT} == cross ]]; then
+ source "${PALUDIS_EBUILD_DIR}"/utils/exheres-0/banned_in_eapi_exheres-0
+ die_because_banned_in_eapi_exheres-0
+fi
+
+if [[ ! -d ${!PALUDIS_IMAGE_DIR_VAR} ]]; then
+ paludis_die_or_error "\${${PALUDIS_IMAGE_DIR_VAR}} not valid; aborting"
+fi
+
+if [[ ${#} -lt 1 ]]; then
+ paludis_die_or_error "at least one argument needed"
+fi
+
+if [[ ! -d "${!PALUDIS_IMAGE_DIR_VAR}${DESTTREE}/sbin" ]]; then
+ install -d "${!PALUDIS_IMAGE_DIR_VAR}${DESTTREE}/sbin" || paludis_die_or_error "could not create ${!PALUDIS_IMAGE_DIR_VAR}${DESTTREE}/sbin"
+fi
+
+ret=0
+for x in "$@"; do
+ if [[ -n ${PALUDIS_NO_CHOWN} ]]; then
+ install -m0755 "${x}" "${!PALUDIS_IMAGE_DIR_VAR}${DESTTREE}/sbin" || ret=2
+ else
+ install -m0755 -o root -g 0 "${x}" "${!PALUDIS_IMAGE_DIR_VAR}${DESTTREE}/sbin" || ret=2
+ fi
+done
+
+[[ 0 != "${ret}" ]] && paludis_die_or_error "dosbin returned error ${ret}"
+exit ${ret}